%define	name	volumeicon
%define	version	0.4.6
%define	release	%mkrel 2

Summary:	Lightweight volume control
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		Graphical desktop/Other
License:	GPLv3
URL:		http://softwarebakery.com/maato/volumeicon.html
Source:         http://softwarebakery.com/maato/files/volumeicon/%{name}-%{version}.tar.gz
Patch0:		glib.h_include.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gtk2-devel
BuildRequires:  intltool 
BuildRequires:  %{_lib}notify-devel
Buildrequires:	%{_lib}alsa2-devel

Obsoletes: %name < %version

%description
Volume Icon aims to be a lightweight volume control that sits in your systray.
Features

* Change volume by scrolling on the systray icon
* Ability to choose which channel to control
* Configurable stepsize (percentage of volume increase/decrease per scrollwheel step)
* Several icon themes (with gtk theme as default)
* Configurable external mixer
* Volume Slider


%prep
%setup -q 
%patch0 -p1

%build
%configure2_5x
       
%make 

%install
rm -rf %{buildroot}
%makeinstall_std
mkdir -p %{buildroot}%_sysconfdir/xdg/autostart/
cat > %{buildroot}%_sysconfdir/xdg/autostart/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=volumeicon
Comment=Volume Icon
Exec=%{name}
Terminal=false
Type=Application
Icon=%{_datadir}/%{name}/gui/appicon.svg
Categories=AudioVideo;Audio
EOF

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog
%_sysconfdir/xdg/autostart/%{name}.desktop
%{_bindir}/%{name}
%{_datadir}/%{name}




%changelog

* Mon Mar 05 2012 hman <hman> 0.4.6-2.mga2
+ Revision: 219319
- fix glib.h_include patch
- fix glib.h_include patch
- added glib.h include patch
- removed unused files
- update to 0.4.6
- imported package volumeicon


* Fri Dec 23 2011 Александр Казанцев <kazancas@mandriva.org> 0.4.3-3mdv2012.0
+ Revision: 744728
- add patch for include only 'toplevel' headers glib
- enable hotkey by default
- fix url and version for fork by Mandriva LXDE projects

* Sat Aug 06 2011 Александр Казанцев <kazancas@mandriva.org> 0.4.3-1
+ Revision: 693411
- new version 0.4.3

* Tue Jul 19 2011 Александр Казанцев <kazancas@mandriva.org> 0.4.1-4
+ Revision: 690605
- change left mouse button action to view volume slider by default

* Sat Jun 25 2011 Александр Казанцев <kazancas@mandriva.org> 0.4.1-3
+ Revision: 687151
- add localized version. You may now translate it.
- fix backports buildrequires issue

* Mon Jun 13 2011 Александр Казанцев <kazancas@mandriva.org> 0.4.1-1
+ Revision: 684445
- new version 0.4.1
- import volumeicon


* Tue Apr 06 2010 slick50 <lxgator@gmail.com> 0.2.1-1pclos2010
- initial pkg

